<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_a11bd5fe4a6175754726d934efa5c" . "55d" => base64_decode("U3RhcnQgYX" . "Q6IA=="), "_c06c961f393742ecfd52b72263ac" . "9470" => base64_decode("aW5" . "0dm" . "Fs"));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a11bd5fe4a" . "6175754726d" . "934efa5c55d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c06c961" . "f393742e" . "cfd52b72" . "263ac947" . "0"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}